package com.fastbee.ggroup.service;




import com.fastbee.ggroup.domain.GGroups;
import com.fastbee.ggroup.domain.vo.GGroupSiteVo;

import java.util.List;

/**
 * 组Service接口
 * 
 * @author kerwincui
 * @date 2024-09-27
 */
public interface IGGroupsService 
{
    /**
     * 查询组
     * 
     * @param id 组主键
     * @return 组
     */
    public GGroups selectGGroupsById(Long id);

    /**
     * 查询组列表
     * 
     * @param gGroups 组
     * @return 组集合
     */
    public List<GGroups> selectGGroupsList(GGroups gGroups);

    public List<GGroupSiteVo> selectGGroupsListSites(GGroups gGroups);
    /**
     * 新增组
     * 
     * @param gGroups 组
     * @return 结果
     */
    public int insertGGroups(GGroups gGroups);

    /**
     * 修改组
     * 
     * @param gGroups 组
     * @return 结果
     */
    public int updateGGroups(GGroups gGroups);

    /**
     * 批量删除组
     * 
     * @param ids 需要删除的组主键集合
     * @return 结果
     */
    public int deleteGGroupsByIds(Long[] ids);

    /**
     * 删除组信息
     * 
     * @param id 组主键
     * @return 结果
     */
    public int deleteGGroupsById(Long id);

    List<?> selectGGroupsAndSitesList(GGroups gGroups);

}
