package com.fastbee.ggroup.service;

import java.util.List;

import com.fastbee.ggroup.domain.GLegend;
import com.fastbee.ggroup.domain.dto.GLegendUpdateDto;
import com.fastbee.ggroup.domain.dto.GLegendDto;

/**
 * 图例Service接口
 * 
 * @author kerwincui
 * @date 2024-10-08
 */
public interface IGLegendService 
{
    /**
     * 查询图例
     * 
     * @param id 图例主键
     * @return 图例
     */
    public GLegend selectGLegendById(Long id);

    /**
     * 查询/搜索图例列表
     * 
     * @param gLegend 图例
     * @return 图例集合
     */
    public List<GLegend> selectGLegendList(GLegend gLegend);

    /**
     * 新增图例
     * 
     * @param gLegend 图例
     * @return 结果
     */
    public int insertGLegend(GLegend gLegend);

    /**
     * 修改图例
     * 
     * @param gLegend 图例
     * @return 结果
     */
    public int updateGLegend(GLegend gLegend);

    /**
     * 批量删除图例
     * 
     * @param ids 需要删除的图例主键集合
     * @return 结果
     */
    public int deleteGLegendByIds(Long[] ids);

    /**
     * 删除图例信息
     * 
     * @param id 图例主键
     * @return 结果
     */
    public int deleteGLegendById(Long id);

    /**
     * 获取不同类别图例列表
     */
    public List<?>  getLegendListByCategory();


}
