package com.fastbee.ggroup.service;

import java.util.List;
import com.fastbee.ggroup.domain.GSiteInfo;

/**
 * 站点基础信息Service接口
 * 
 * @author kerwincui
 * @date 2024-10-10
 */
public interface IGSiteInfoService 
{
    /**
     * 查询站点基础信息
     * 
     * @param id 站点基础信息主键
     * @return 站点基础信息
     */
    public GSiteInfo selectGSiteInfoById(Long id);

    /**
     * 查询站点基础信息列表
     * 
     * @param gSiteInfo 站点基础信息
     * @return 站点基础信息集合
     */
    public List<GSiteInfo> selectGSiteInfoList(GSiteInfo gSiteInfo);

    /**
     * 新增站点基础信息
     * 
     * @param gSiteInfo 站点基础信息
     * @return 结果
     */
    public int insertGSiteInfo(GSiteInfo gSiteInfo);

    /**
     * 修改站点基础信息
     * 
     * @param gSiteInfo 站点基础信息
     * @return 结果
     */
    public int updateGSiteInfo(GSiteInfo gSiteInfo);

    /**
     * 批量删除站点基础信息
     * 
     * @param ids 需要删除的站点基础信息主键集合
     * @return 结果
     */
    public int deleteGSiteInfoByIds(Long[] ids);

    /**
     * 删除站点基础信息信息
     * 
     * @param id 站点基础信息主键
     * @return 结果
     */
    public int deleteGSiteInfoById(Long id);
}
