package com.fastbee.iot.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 产品modbus配置参数对象 iot_modbus_params
 *
 * @author kerwincui
 * @date 2024-05-31
 */
@ApiModel(value = "ModbusParams", description = "产品modbus配置参数 iot_modbus_params")
@Data
@EqualsAndHashCode(callSuper = true)
public class ModbusParams extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 业务id
     */
    private Long id;

    /**
     * 产品id
     */
    @Excel(name = "产品id")
    @ApiModelProperty("产品id")
    private Long productId;

    /**
     * 是否启动云端轮训(1-云端轮训,2-边缘采集)
     */
    @Excel(name = "是否启动云端轮训(1-云端轮训,2-边缘采集)")
    @ApiModelProperty("是否启动云端轮训(1-云端轮训,2-边缘采集)")
    private Integer pollType;

    /**
     * 默认的子设备地址
     */
    @Excel(name = "默认的子设备地址")
    @ApiModelProperty("默认的子设备地址")
    private Integer slaveId;

    @ApiModelProperty("批量读取的个数，默认32")
    private Integer pollLength = 32;

    /**
     * 子设备状态判断方式 1-设备数据 2- 网关
     */
    @Excel(name = "子设备状态判断方式 1-设备数据 2- 网关")
    @ApiModelProperty("子设备状态判断方式 1-设备数据 2- 网关")
    private Integer statusDeter;

    /**
     * 设备数据来判断子设备状态的时长(s)
     */
    @Excel(name = "设备数据来判断子设备状态的时长(s)")
    @ApiModelProperty("设备数据来判断子设备状态的时长(s)")
    private String deterTimer;

}
