package com.fastbee.iot.model.haiwei;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "海为设备")
public class HaiWeiDeviceInfoVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("设备ID")
    private Long deviceId;

    @ApiModelProperty("设备是否在线")
    private Boolean online = false;

    @ApiModelProperty("设备编号")
    private String serialNumber;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("属性值，key为显示分组")
    private List<HaiWeiPropertyVo> propertyList;

    @ApiModelProperty("设备接收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveTime;
}
