package com.fastbee.project.domain;



import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 项目对象 project
 *
 * @author kerwincui
 * @date 2024-09-26
 */

@Data
public class Project extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 系统显示名称 */
    @Excel(name = "系统显示名称")
    private String sysShowName;

    /** 中心坐标 */
    @Excel(name = "中心坐标")
    private String centralCoordinates;

    /** 项目范围(经纬度) */
    @Excel(name = "项目范围(经纬度)")
    private String scope;

    /** 行政区域 */
    @Excel(name = "行政区域")
    private String administrativeArea;

    /** 项目拥有人 */
    @Excel(name = "项目拥有人")
    private String owner;

    /** 项目logo */
    @Excel(name = "项目logo")
    private String logo;

    /** 项目图片 */
    @Excel(name = "项目图片")
    private String image;

    /** 园区视频介绍 */
    @Excel(name = "园区视频介绍")
    private String videoIntroduction;

    /** 项目参数 */
    @Excel(name = "项目参数")
    private String pParams;

    /** 项目介绍 */
    @Excel(name = "项目介绍")
    private String introduce;

    /** 删除状态[1删除,-1未删除] */
    private Long delFlag;

    /** 项目介绍 */
    @Excel(name = "项目介绍")
    private String remarks;

    /** 租户id */
    @Excel(name = "租户id")
    private Long tenantId;

    /** 租户名称 */
    @Excel(name = "租户名称")
    private String tenantName;

}
