package com.fastbee.waterele.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 卡记录对象 ma_cardinfo
 *
 * @author kerwincui
 * @date 2024-08-12
 */
@ApiModel(value = "MaCardinfo",description = "卡记录 ma_cardinfo")
@Data
@EqualsAndHashCode(callSuper = true)
public class MaCardinfo extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 卡编号 */
            @Excel(name = "卡编号")
            @ApiModelProperty("卡编号")
    private String cardNum;

    /** 区域号 */
            @Excel(name = "区域号")
            @ApiModelProperty("区域号")
    private String areaCode;

    /** 卡ID */
            @Excel(name = "卡ID")
            @ApiModelProperty("卡ID")
    private String cardId;

    /** 地址信息 */
            @Excel(name = "地址信息")
            @ApiModelProperty("地址信息")
    private String addressInfo;

    /** 卡类型 */
            @Excel(name = "卡类型")
            @ApiModelProperty("卡类型")
    private Integer cardtype;

    /** mcuSn */
            @Excel(name = "mcuSn")
            @ApiModelProperty("mcuSn")
    private String mcusn;

}
