package com.fastbee.waterele.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 灌溉记录对象 ma_guangai_record
 *
 * @author kerwincui
 * @date 2024-08-12
 */
@ApiModel(value = "MaGuangaiRecord", description = "灌溉记录 ma_guangai_record")
@Data
@EqualsAndHashCode(callSuper = true)
public class MaGuangaiRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    @ApiModelProperty("设备编号")
    private String devSn;

    /**
     * 开泵时间
     */
    @Excel(name = "开泵时间")
    @ApiModelProperty("开泵时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 关泵时间
     */
    @Excel(name = "关泵时间")
    @ApiModelProperty("关泵时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 灌溉最新上报时间
     */
    @Excel(name = "灌溉最新上报时间")
    @ApiModelProperty("灌溉最新上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;

    /**
     * 卡编号
     */
    @Excel(name = "卡编号")
    @ApiModelProperty("卡编号")
    private String cardId;

    /**
     * 区域号
     */
    @Excel(name = "区域号")
    @ApiModelProperty("区域号")
    private String areaCode;

    /**
     * 卡内余额
     */
    @Excel(name = "卡内余额")
    @ApiModelProperty("卡内余额")
    private String userBalance;

    /**
     * 本次用水量
     */
    @Excel(name = "本次用水量")
    @ApiModelProperty("本次用水量")
    private String curFlow;

    /**
     * 本次用电量
     */
    @Excel(name = "本次用电量")
    @ApiModelProperty("本次用电量")
    private String curEle;

    /**
     * 灌溉状态
     */
    @Excel(name = "灌溉状态")
    @ApiModelProperty("灌溉状态:1=开始灌溉,2=结束灌溉")
    private Integer status;

}
